Discussion:
Pre-release of Gambas 3.9.0
(too old to reply)
Benoît Minisini
2016-08-20 14:45:11 UTC
Permalink
Hi,

Finally, here is the initial source package of Gambas 3.9.0!

https://sourceforge.net/projects/gambas/files/gambas3/gambas3-3.9.0.tar.bz2/download

Please compile and install it as much as you can, and report any
problem. Before I make it official of course. :-)

I have to write the changelog now...

Best regards,
--
Benoît Minisini

------------------------------------------------------------------------------
Karl Reinl
2016-08-20 15:01:41 UTC
Permalink
Post by Benoît Minisini
Hi,
Finally, here is the initial source package of Gambas 3.9.0!
https://sourceforge.net/projects/gambas/files/gambas3/gambas3-3.9.0.tar.bz2/download
Please compile and install it as much as you can, and report any
problem. Before I make it official of course. :-)
I have to write the changelog now...
Best regards,
Salut Benoît,

compiled and installed fine, missed statusicon
gbi3: warning: component gb.dbus.statusicon not found

[System]
Gambas=3.8.90 r7858
OperatingSystem=Linux
Kernel=3.2.0-101-generic
Architecture=x86
Distribution=Ubuntu 14.04.5 LTS
Desktop=UNITY
Theme=Plastique
Language=de_DE.UTF-8
Memory=3025M

[Libraries]
Cairo=libcairo.so.2.11301.0
Curl=libcurl.so.4.3.0
DBus=libdbus-1.so.3.7.6
GStreamer=libgstreamer-0.10.so.0.30.0
GStreamer=libgstreamer-1.0.so.0.204.0
GTK+2=libgtk-x11-2.0.so.0.2400.23
GTK+3=libgtk-3.so.0.1000.8
OpenGL=libGL.so.1.2.0
Poppler=libpoppler.so.44.0.0
QT4=libQtCore.so.4.8.6
QT5=libQt5Core.so.5.2.1
SDL=libSDL-1.2.so.0.11.4
SQLite=libsqlite3.so.0.8.6

[Environment]
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-zGxJlDxII0
DEFAULTS_PATH=/usr/share/gconf/gnome-fallback-compiz.default.path
DESKTOP_SESSION=gnome-fallback-compiz
DISPLAY=:0.0
GB_GUI=gb.qt4
GDMSESSION=gnome-fallback-compiz
GDM_LANG=de_DE
GIO_LAUNCHED_DESKTOP_FILE=<home>/.local/share/applications/Gambas
III.desktop
GIO_LAUNCHED_DESKTOP_FILE_PID=6090
GNOME_DESKTOP_SESSION_ID=this-is-deprecated
GNOME_KEYRING_CONTROL=/run/user/1000/keyring-3MpmaK
GNOME_KEYRING_PID=3256
GPG_AGENT_INFO=/run/user/1000/keyring-3MpmaK/gpg:0:1
GTK_MODULES=canberra-gtk-module:overlay-scrollbar:unity-gtk-module
HOME=<home>
IM_CONFIG_PHASE=1
INSTANCE=
JOB=dbus
LANG=de_DE.UTF-8
LANGUAGE=de_DE:en
LC_MESSAGES=de_DE.UTF-8
LOGNAME=<user>
MANDATORY_PATH=/usr/share/gconf/gnome-fallback-compiz.mandatory.path
PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/bin/X11:/usr/games:/usr/local/games
PWD=<home>
QT_NO_GLIB=1
QT_QPA_PLATFORMTHEME=appmenu-qt5
SELINUX_INIT=YES
SESSION=gnome-fallback-compiz
SESSIONTYPE=gnome-session
SESSION_MANAGER=local/<hostname>:@/tmp/.ICE-unix/3664,unix/<hostname>:/tmp/.ICE-unix/3664
SHELL=/bin/bash
SHLVL=0
SPEECHD_PORT=7560
SSH_AUTH_SOCK=/run/user/1000/keyring-3MpmaK/ssh
TEXTDOMAIN=im-config
TEXTDOMAINDIR=/usr/share/locale/
TZ=:/etc/localtime
UBUNTU_MENUPROXY=0
UPSTART_SESSION=unix:abstract=/com/ubuntu/upstart-session/1000/3258
USER=<user>
USERNAME=<user>
WINDOWPATH=7
XAUTHORITY=/var/run/gdm/auth-for-<user>-0RnnM6/database
XDG_CONFIG_DIRS=/etc/xdg/xdg-gnome-fallback-compiz:/usr/share/upstart/xdg:/etc/xdg
XDG_CURRENT_DESKTOP=Unity
XDG_DATA_DIRS=/usr/share/gnome-fallback-compiz:/usr/share/gnome:/usr/local/share/:/usr/share/
XDG_MENU_PREFIX=gnome-flashback-
XDG_RUNTIME_DIR=/run/user/1000
XDG_SEAT=seat0
XDG_SESSION_ID=c2
XDG_VTNR=7
--
Amicalement
Charlie
Benoît Minisini
2016-08-20 15:33:49 UTC
Permalink
Post by Karl Reinl
Post by Benoît Minisini
Hi,
Finally, here is the initial source package of Gambas 3.9.0!
https://sourceforge.net/projects/gambas/files/gambas3/gambas3-3.9.0.tar.bz2/download
Please compile and install it as much as you can, and report any
problem. Before I make it official of course. :-)
I have to write the changelog now...
Best regards,
Salut Benoît,
compiled and installed fine, missed statusicon
gbi3: warning: component gb.dbus.statusicon not found
There is no 'gb.dbus.statusicon' component in the sources. Is it a rest
of an old Gambas installation?
--
Benoît Minisini

------------------------------------------------------------------------------
Jussi Lahtinen
2016-08-20 15:46:03 UTC
Permalink
You have ignored my report of the unreliability of Process.Wait method.
Have you forgotten it or is there some other reason?
Run the attached project few times and you will see that the process.wait
doesn't always wait for the process to complete (at least on Linux Mint,
details below).


Jussi

[System]
Gambas=3.8.90 r7858
OperatingSystem=Linux
Kernel=3.19.0-32-generic
Architecture=x86_64
Distribution=Linux Mint 17.3 Rosa
Desktop=CINNAMON
Theme=Gtk
Language=en_US.UTF-8
Memory=7984M

[Libraries]
Cairo=libcairo.so.2.11301.0
Curl=libcurl.so.4.3.0
DBus=libdbus-1.so.3.7.6
GStreamer=libgstreamer-0.10.so.0.30.0
GStreamer=libgstreamer-1.0.so.0.204.0
GTK+2=libgtk-x11-2.0.so.0.2400.23
GTK+3=libgtk-3.so.0.1000.8
OpenGL=libGL.so.1.2.0
Poppler=libpoppler.so.44.0.0
QT4=libQtCore.so.4.8.6
QT5=libQt5Core.so.5.2.1
SDL=libSDL-1.2.so.0.11.4
SQLite=libsqlite3.so.0.8.6

[Environment]
CLUTTER_BACKEND=x11
CLUTTER_IM_MODULE=xim
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Z9Ej6whv2f,guid=ebb64f5d71222253632512a957b8521d
DEFAULTS_PATH=/usr/share/gconf/cinnamon.default.path
DESKTOP_SESSION=cinnamon
DISPLAY=:0.0
GB_GUI=gb.qt4
GB_PROFILE_MAX=1000
GDMSESSION=cinnamon
GDM_XSERVER_LOCATION=local
GIO_LAUNCHED_DESKTOP_FILE=<home>/Desktop/Gambas3.desktop
GIO_LAUNCHED_DESKTOP_FILE_PID=2932
GNOME_DESKTOP_SESSION_ID=this-is-deprecated
GNOME_KEYRING_CONTROL=/run/user/1000/keyring-ZRAMRF
GPG_AGENT_INFO=/run/user/1000/keyring-ZRAMRF/gpg:0:1
GTK_IM_MODULE=xim
HOME=<home>
INSIDE_NEMO_PYTHON=
LANG=en_US.UTF-8
LC_ADDRESS=fi_FI.UTF-8
LC_IDENTIFICATION=fi_FI.UTF-8
LC_MEASUREMENT=fi_FI.UTF-8
LC_MONETARY=fi_FI.UTF-8
LC_NAME=fi_FI.UTF-8
LC_NUMERIC=fi_FI.UTF-8
LC_PAPER=fi_FI.UTF-8
LC_TELEPHONE=fi_FI.UTF-8
LC_TIME=en_US.UTF-8
LOGNAME=<user>
MANDATORY_PATH=/usr/share/gconf/cinnamon.mandatory.path
MDMSESSION=cinnamon
MDM_LANG=en_US.UTF-8
MDM_XSERVER_LOCATION=local
PAPERSIZE=letter
PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games
PWD=<home>
QT4_IM_MODULE=xim
QT_STYLE_OVERRIDE=gtk
SESSION_MANAGER=local/<hostname>:@/tmp/.ICE-unix/1633,unix/<hostname>:/tmp/.ICE-unix/1633
SHELL=/bin/bash
SSH_AGENT_PID=1699
SSH_AUTH_SOCK=/run/user/1000/keyring-ZRAMRF/ssh
TEXTDOMAIN=im-config
TEXTDOMAINDIR=/usr/share/locale/
TZ=:/etc/localtime
USER=<user>
USERNAME=<user>
WINDOWPATH=8
XAUTHORITY=<home>/.Xauthority
XDG_CONFIG_DIRS=/etc/xdg/xdg-cinnamon:/etc/xdg
XDG_CURRENT_DESKTOP=X-Cinnamon
XDG_DATA_DIRS=/usr/share/cinnamon:/usr/share/gnome:/usr/local/share/:/usr/share/:/usr/share/mdm/
XDG_RUNTIME_DIR=/run/user/1000
XDG_SEAT=seat0
XDG_SESSION_COOKIE=5a45fa29109f0ee2389b1b0355283726-1471697437.492558-2108773485
XDG_SESSION_DESKTOP=cinnamon
XDG_SESSION_ID=c1
XDG_VTNR=8
XMODIFIERS=@im=none



On Sat, Aug 20, 2016 at 5:45 PM, Benoît Minisini <
Post by Benoît Minisini
Hi,
Finally, here is the initial source package of Gambas 3.9.0!
https://sourceforge.net/projects/gambas/files/gambas3/gambas
3-3.9.0.tar.bz2/download
Please compile and install it as much as you can, and report any
problem. Before I make it official of course. :-)
I have to write the changelog now...
Best regards,
--
Benoît Minisini
------------------------------------------------------------
------------------
_______________________________________________
Gambas-user mailing list
https://lists.sourceforge.net/lists/listinfo/gambas-user
Benoît Minisini
2016-08-20 16:22:54 UTC
Permalink
Post by Jussi Lahtinen
You have ignored my report of the unreliability of Process.Wait method.
Have you forgotten it or is there some other reason?
Mmm... No, I forgot it. No other reason!
Post by Jussi Lahtinen
Run the attached project few times and you will see that the process.wait
doesn't always wait for the process to complete (at least on Linux Mint,
details below).
Jussi
I will look at it. Anyway, it does not matter if I fix it in 3.8.4 or
3.9.0. What matters is -when-.
--
Benoît Minisini

------------------------------------------------------------------------------
Benoît Minisini
2016-08-20 23:38:20 UTC
Permalink
Post by Benoît Minisini
Post by Jussi Lahtinen
You have ignored my report of the unreliability of Process.Wait method.
Have you forgotten it or is there some other reason?
Mmm... No, I forgot it. No other reason!
Post by Jussi Lahtinen
Run the attached project few times and you will see that the process.wait
doesn't always wait for the process to complete (at least on Linux Mint,
details below).
Jussi
I will look at it. Anyway, it does not matter if I fix it in 3.8.4 or
3.9.0. What matters is -when-.
I tried on a Mint VirtualBox VM, and still have "Test passed!" as
result. Can you tell me exactly where it fails in the code?
--
Benoît Minisini

------------------------------------------------------------------------------
Jussi Lahtinen
2016-08-21 00:56:29 UTC
Permalink
Post by Benoît Minisini
I tried on a Mint VirtualBox VM, and still have "Test passed!" as
result. Can you tell me exactly where it fails in the code?
Randomly in module mTest at lines 1685, 1694, 1704 and 1714. So at every
occurrence of code 'If sTest <> "test" & gb.NewLine Then'.
Every time it fails the string sTest is empty, this should never occur if
the process has been ran. Or why else the string is empty?

See attached screenshot.

Now I realize that there is property "Blocking", which is false... so could
it be that the process is read too early and process.wait only waits for
some input..?


Jussi
Ron
2016-08-21 13:04:14 UTC
Permalink
When using hGet.Auth = Net.AuthDigestIE in a http post request, I get
error that it's not a unknown authentication method.
Also have some strange crashes (sig 11) when rerunning same request
(without above line) need to get more info.

[System]
Gambas=3.9
OperatingSystem=Linux
Kernel=4.4.0-34-generic
Architecture=x86_64
Distribution=Ubuntu 16.04.1 LTS
Desktop=UNITY
Theme=Gtk
Language=en_US.UTF-8
Memory=16015M

[Libraries]
Cairo=libcairo.so.2.11400.6
Curl=libcurl.so.4.4.0
DBus=libdbus-1.so.3.14.6
GStreamer=libgstreamer-0.10.so.0.30.0
GStreamer=libgstreamer-1.0.so.0.802.0
GTK+2=libgtk-x11-2.0.so.0.2400.30
GTK+3=libgtk-3.so.0.1800.9
OpenGL=libGL.so.1.0.0
OpenGL=libGL.so.1.2.0
Poppler=libpoppler.so.58.0.0
QT4=libQtCore.so.4.8.7
QT5=libQt5Core.so.5.5.1
SDL=libSDL-1.2.so.0.11.4
SQLite=libsqlite3.so.0.8.6


Regards,
Ron.
Post by Jussi Lahtinen
Post by Benoît Minisini
I tried on a Mint VirtualBox VM, and still have "Test passed!" as
result. Can you tell me exactly where it fails in the code?
Randomly in module mTest at lines 1685, 1694, 1704 and 1714. So at every
occurrence of code 'If sTest <> "test" & gb.NewLine Then'.
Every time it fails the string sTest is empty, this should never occur if
the process has been ran. Or why else the string is empty?
See attached screenshot.
Now I realize that there is property "Blocking", which is false... so could
it be that the process is read too early and process.wait only waits for
some input..?
Jussi
------------------------------------------------------------------------------
_______________________________________________
Gambas-user mailing list
https://lists.sourceforge.net/lists/listinfo/gambas-user
------------------------------------------------------------------------------
Mufeed Ali
2016-08-21 13:49:24 UTC
Permalink
Please check bug #978. And yea, GTK+ is still messed up. TextArea
background does not work in GTK+ 3.20(Arch Linux).
Post by Ron
When using hGet.Auth = Net.AuthDigestIE in a http post request, I get
error that it's not a unknown authentication method.
Also have some strange crashes (sig 11) when rerunning same request
(without above line) need to get more info.
[System]
Gambas=3.9
OperatingSystem=Linux
Kernel=4.4.0-34-generic
Architecture=x86_64
Distribution=Ubuntu 16.04.1 LTS
Desktop=UNITY
Theme=Gtk
Language=en_US.UTF-8
Memory=16015M
[Libraries]
Cairo=libcairo.so.2.11400.6
Curl=libcurl.so.4.4.0
DBus=libdbus-1.so.3.14.6
GStreamer=libgstreamer-0.10.so.0.30.0
GStreamer=libgstreamer-1.0.so.0.802.0
GTK+2=libgtk-x11-2.0.so.0.2400.30
GTK+3=libgtk-3.so.0.1800.9
OpenGL=libGL.so.1.0.0
OpenGL=libGL.so.1.2.0
Poppler=libpoppler.so.58.0.0
QT4=libQtCore.so.4.8.7
QT5=libQt5Core.so.5.5.1
SDL=libSDL-1.2.so.0.11.4
SQLite=libsqlite3.so.0.8.6
Regards,
Ron.
Post by Jussi Lahtinen
Post by Benoît Minisini
I tried on a Mint VirtualBox VM, and still have "Test passed!" as
result. Can you tell me exactly where it fails in the code?
Randomly in module mTest at lines 1685, 1694, 1704 and 1714. So at every
occurrence of code 'If sTest <> "test" & gb.NewLine Then'.
Every time it fails the string sTest is empty, this should never occur if
the process has been ran. Or why else the string is empty?
See attached screenshot.
Now I realize that there is property "Blocking", which is false... so
could
Post by Jussi Lahtinen
it be that the process is read too early and process.wait only waits for
some input..?
Jussi
------------------------------------------------------------
------------------
Post by Jussi Lahtinen
_______________________________________________
Gambas-user mailing list
https://lists.sourceforge.net/lists/listinfo/gambas-user
------------------------------------------------------------
------------------
_______________________________________________
Gambas-user mailing list
https://lists.sourceforge.net/lists/listinfo/gambas-user
------------------------------------------------------------------------------
Benoît Minisini
2016-08-21 15:02:06 UTC
Permalink
Post by Jussi Lahtinen
Post by Benoît Minisini
I tried on a Mint VirtualBox VM, and still have "Test passed!" as
result. Can you tell me exactly where it fails in the code?
Randomly in module mTest at lines 1685, 1694, 1704 and 1714. So at every
occurrence of code 'If sTest <> "test" & gb.NewLine Then'.
Every time it fails the string sTest is empty, this should never occur if
the process has been ran. Or why else the string is empty?
See attached screenshot.
Now I realize that there is property "Blocking", which is false... so could
it be that the process is read too early and process.wait only waits for
some input..?
No. Blocking is for stream read & write methods. The Wait() method does
not take them into account. It just waits for the process end. The
problem is that on your system the input stream from the process is not
flushed.

If 'sTest' is empty, that means that the Read event is never called,
i.e. either the process output file descriptor is never ready to be
read, or is ready to be read but is void (it is theoritically possible).

I have run the four problematic tests thousands of time, and everything
works there.

Normally, when I (the interpreter) catch the process end, I carefully
send process Read events until the received pipe is flushed. So I don't
understand the behaviour on your system.

If other people could run the same four tests, it may help fix the
problem...
--
Benoît Minisini

------------------------------------------------------------------------------
PICCORO McKAY Lenz
2016-08-21 15:20:34 UTC
Permalink
i have error compiling, agains openssl 0.X not 1.X

CC gb_openssl_la-main.lo
CC gb_openssl_la-c_digest.lo
c_digest.c: In function ‘get_dlist’:
c_digest.c:51: warning: implicit declaration of function ‘EVP_MD_do_all’
c_digest.c: In function ‘EVP_MD_CTX_reset’:
c_digest.c:174: warning: implicit declaration of function
‘EVP_PKEY_CTX_free’
c_digest.c:174: error: ‘EVP_MD_CTX’ has no member named ‘pctx’


Lenz McKAY Gerardo (PICCORO)
http://qgqlochekone.blogspot.com
Post by Jussi Lahtinen
Post by Benoît Minisini
Post by Jussi Lahtinen
You have ignored my report of the unreliability of Process.Wait method.
Have you forgotten it or is there some other reason?
Mmm... No, I forgot it. No other reason!
Post by Jussi Lahtinen
Run the attached project few times and you will see that the
process.wait
Post by Benoît Minisini
Post by Jussi Lahtinen
doesn't always wait for the process to complete (at least on Linux Mint,
details below).
Jussi
I will look at it. Anyway, it does not matter if I fix it in 3.8.4 or
3.9.0. What matters is -when-.
I tried on a Mint VirtualBox VM, and still have "Test passed!" as
result. Can you tell me exactly where it fails in the code?
--
Benoît Minisini
------------------------------------------------------------
------------------
_______________________________________________
Gambas-user mailing list
https://lists.sourceforge.net/lists/listinfo/gambas-user
------------------------------------------------------------------------------
Tobias Boege
2016-08-21 16:15:25 UTC
Permalink
Post by PICCORO McKAY Lenz
i have error compiling, agains openssl 0.X not 1.X
CC gb_openssl_la-main.lo
CC gb_openssl_la-c_digest.lo
c_digest.c:51: warning: implicit declaration of function ‘EVP_MD_do_all’
c_digest.c:174: warning: implicit declaration of function
‘EVP_PKEY_CTX_free’
c_digest.c:174: error: ‘EVP_MD_CTX’ has no member named ‘pctx’
Apparently that member was introduced on 22 May 2006 (apparently OpenSSL
0.9.7k) and removed again on 27 Nov 2015 (according to git tags, the versions
1.0.2e, 1.0.1q, 0.9.8zh and 1.1.0pre1 all are the first tags in their
respective version numbers which contain this commit).

The use of the pctx member there is for forward compatibility with OpenSSL
1.1, which makes its structs opaque. So either you have a version from before
2006 or after 2015 which has opaque structures already but still a version
macro

OPENSSL_VERSION_NUMBER < 0x10100000L

which I was told was an indicator of the API change.

So, in any case you need to be more specific about your OpenSSL version.
0.x could be anything between 1998 and 2015.

Regards,
Tobi
--
"There's an old saying: Don't change anything... ever!" -- Mr. Monk

------------------------------------------------------------------------------
PICCORO McKAY Lenz
2016-08-21 22:27:18 UTC
Permalink
openssl version are 0.9.8o

Lenz McKAY Gerardo (PICCORO)
http://qgqlochekone.blogspot.com
Post by PICCORO McKAY Lenz
Post by PICCORO McKAY Lenz
i have error compiling, agains openssl 0.X not 1.X
CC gb_openssl_la-main.lo
CC gb_openssl_la-c_digest.lo
c_digest.c:51: warning: implicit declaration of function
‘EVP_MD_do_all’
Post by PICCORO McKAY Lenz
c_digest.c:174: warning: implicit declaration of function
‘EVP_PKEY_CTX_free’
c_digest.c:174: error: ‘EVP_MD_CTX’ has no member named ‘pctx’
Apparently that member was introduced on 22 May 2006 (apparently OpenSSL
0.9.7k) and removed again on 27 Nov 2015 (according to git tags, the versions
1.0.2e, 1.0.1q, 0.9.8zh and 1.1.0pre1 all are the first tags in their
respective version numbers which contain this commit).
The use of the pctx member there is for forward compatibility with OpenSSL
1.1, which makes its structs opaque. So either you have a version from before
2006 or after 2015 which has opaque structures already but still a version
macro
OPENSSL_VERSION_NUMBER < 0x10100000L
which I was told was an indicator of the API change.
So, in any case you need to be more specific about your OpenSSL version.
0.x could be anything between 1998 and 2015.
Regards,
Tobi
--
"There's an old saying: Don't change anything... ever!" -- Mr. Monk
------------------------------------------------------------
------------------
_______________________________________________
Gambas-user mailing list
https://lists.sourceforge.net/lists/listinfo/gambas-user
------------------------------------------------------------------------------
Ron
2016-08-22 17:21:20 UTC
Permalink
I can reproduce a signal 11 crash with gambas 3.9, so it seems related
to gtk_text_buffer code.

See
BUG REPORT 979

Kind Regards,
Ron.
Post by PICCORO McKAY Lenz
openssl version are 0.9.8o
Lenz McKAY Gerardo (PICCORO)
http://qgqlochekone.blogspot.com
Post by PICCORO McKAY Lenz
Post by PICCORO McKAY Lenz
i have error compiling, agains openssl 0.X not 1.X
CC gb_openssl_la-main.lo
CC gb_openssl_la-c_digest.lo
c_digest.c:51: warning: implicit declaration of function
‘EVP_MD_do_all’
Post by PICCORO McKAY Lenz
c_digest.c:174: warning: implicit declaration of function
‘EVP_PKEY_CTX_free’
c_digest.c:174: error: ‘EVP_MD_CTX’ has no member named ‘pctx’
Apparently that member was introduced on 22 May 2006 (apparently OpenSSL
0.9.7k) and removed again on 27 Nov 2015 (according to git tags, the versions
1.0.2e, 1.0.1q, 0.9.8zh and 1.1.0pre1 all are the first tags in their
respective version numbers which contain this commit).
The use of the pctx member there is for forward compatibility with OpenSSL
1.1, which makes its structs opaque. So either you have a version from before
2006 or after 2015 which has opaque structures already but still a version
macro
OPENSSL_VERSION_NUMBER < 0x10100000L
which I was told was an indicator of the API change.
So, in any case you need to be more specific about your OpenSSL version.
0.x could be anything between 1998 and 2015.
Regards,
Tobi
--
"There's an old saying: Don't change anything... ever!" -- Mr. Monk
------------------------------------------------------------
------------------
_______________________________________________
Gambas-user mailing list
https://lists.sourceforge.net/lists/listinfo/gambas-user
------------------------------------------------------------------------------
_______________________________________________
Gambas-user mailing list
https://lists.sourceforge.net/lists/listinfo/gambas-user
------------------------------------------------------------------------------
Christof Thalhofer
2016-08-20 15:31:59 UTC
Permalink
Hi,
Post by Benoît Minisini
Finally, here is the initial source package of Gambas 3.9.0!
https://sourceforge.net/projects/gambas/files/gambas3/gambas3-3.9.0.tar.bz2/download
Please compile and install it as much as you can, and report any
problem. Before I make it official of course. :-)
I have to write the changelog now...
Very cool! Is the Gambas daily in Launchpad a current version?


Alles Gute

Christof Thalhofer
--
Dies ist keine Signatur

------------------------------------------------------------------------------
Sebastian Kulesz
2016-08-20 15:55:21 UTC
Permalink
Post by Benoît Minisini
Hi,
Post by Benoît Minisini
Finally, here is the initial source package of Gambas 3.9.0!
https://sourceforge.net/projects/gambas/files/gambas3/
gambas3-3.9.0.tar.bz2/download
Post by Benoît Minisini
Please compile and install it as much as you can, and report any
problem. Before I make it official of course. :-)
I have to write the changelog now...
Very cool! Is the Gambas daily in Launchpad a current version?
I'm updating it now. It will be live in a few hours.
Anyway, for the Daily PPA it will just be a version bump, you already have
all the changes there. :P
Post by Benoît Minisini
Alles Gute
Christof Thalhofer
--
Dies ist keine Signatur
------------------------------------------------------------
------------------
_______________________________________________
Gambas-user mailing list
https://lists.sourceforge.net/lists/listinfo/gambas-user
------------------------------------------------------------------------------
Fabien Bodard
2016-08-20 15:59:04 UTC
Permalink
is the problem of compilation of gb.git on archlinux is resolved ?

------------------------------------------------------------------------------
Sebastian Kulesz
2016-08-20 16:18:09 UTC
Permalink
Benoît, beware that the version number was only updated on the 3.9 branch.
On trunk, the version is still 3.8.90!
Post by Fabien Bodard
is the problem of compilation of gb.git on archlinux is resolved ?
------------------------------------------------------------
------------------
_______________________________________________
Gambas-user mailing list
https://lists.sourceforge.net/lists/listinfo/gambas-user
------------------------------------------------------------------------------
Ron
2016-08-20 16:48:59 UTC
Permalink
Compiles and runs (first tests) fine on Ubuntu 16.04 LTS 64 bit.

Although I get a lot of gtk and gnome-keyring related deprecated
warnings during make, see attached logs.
It's not a big problem.

llvm needs to be downgraded from 3.8 to 3.5 to be found.

Regards,
Ron.
Post by Fabien Bodard
is the problem of compilation of gb.git on archlinux is resolved ?
------------------------------------------------------------------------------
_______________________________________________
Gambas-user mailing list
https://lists.sourceforge.net/lists/listinfo/gambas-user
Benoît Minisini
2016-08-20 22:04:54 UTC
Permalink
Post by Ron
Compiles and runs (first tests) fine on Ubuntu 16.04 LTS 64 bit.
Although I get a lot of gtk and gnome-keyring related deprecated
warnings during make, see attached logs.
It's not a big problem.
llvm needs to be downgraded from 3.8 to 3.5 to be found.
Regards,
Ron.
You don't have to downgrade llvm. You can install both llvm 3.5 and the
latest version on your system, provided that you set the LLVM_CONFIG
environmental variable to llvm-config-3.5.

In another word, compile Gambas that way;

$ ./reconf
$ LLVM_CONFIG=llvm-config-3.5 ./configure -C
$ make

Regards,
--
Benoît Minisini

------------------------------------------------------------------------------
PICCORO McKAY Lenz
2016-08-20 23:17:30 UTC
Permalink
i will compile in few hours, for older linux that are in older machines

the 3.8.4 have a prblem with editor, the editor area when cursor goes to
limit of, the editor screen dont follow the cursor, until 3 or 4 columns..
then it follow and editor show the rest of colums if have a long write
line..

i'll paste a sceeenshot later if persist in 3.9

Lenz McKAY Gerardo (PICCORO)
http://qgqlochekone.blogspot.com
Post by Benoît Minisini
Post by Ron
Compiles and runs (first tests) fine on Ubuntu 16.04 LTS 64 bit.
Although I get a lot of gtk and gnome-keyring related deprecated
warnings during make, see attached logs.
It's not a big problem.
llvm needs to be downgraded from 3.8 to 3.5 to be found.
Regards,
Ron.
You don't have to downgrade llvm. You can install both llvm 3.5 and the
latest version on your system, provided that you set the LLVM_CONFIG
environmental variable to llvm-config-3.5.
In another word, compile Gambas that way;
$ ./reconf
$ LLVM_CONFIG=llvm-config-3.5 ./configure -C
$ make
Regards,
--
Benoît Minisini
------------------------------------------------------------
------------------
_______________________________________________
Gambas-user mailing list
https://lists.sourceforge.net/lists/listinfo/gambas-user
------------------------------------------------------------------------------
Christof Thalhofer
2016-08-20 16:23:00 UTC
Permalink
Post by Sebastian Kulesz
I'm updating it now. It will be live in a few hours.
Anyway, for the Daily PPA it will just be a version bump, you already have
all the changes there. :P
ok, great! Thank you! So I can test.

Alles Gute

Christof Thalhofer
--
Dies ist keine Signatur

------------------------------------------------------------------------------
Christof Thalhofer
2016-08-20 16:52:56 UTC
Permalink
Hi,
Post by Benoît Minisini
Finally, here is the initial source package of Gambas 3.9.0!
Here it seems to run without caveats. Just a question about libraries:

When I build and install my project on Debian/Ubuntu, my libraries will
install in /usr/bin as it was usual before. Right?

There is no installation of libraries in /usr/lib/gambas3/vendor

While programming, libs are in
~/.local/share/gambas3/lib/vendor

Is that right?


Alles Gute

Christof Thalhofer
--
Dies ist keine Signatur

------------------------------------------------------------------------------
Continue reading on narkive:
Loading...